Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7179 - Robotics 56k is not detected
Summary: Robotics 56k is not detected
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-20 16:22 UTC by jd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 18:29:39 UTC


Attachments (Terms of Use)

Description jd 1999-11-20 16:22:08 UTC
On a new installation of 6.1 , a robotics V.90, 56k modem
 configured as "com 5" was not recognized or installed during
 the install/ppp process.

 in fact, ppp dialup utility  seems to always default to
 /dev/ttyS0 .

 the fix:

 determine the modem settings:

 less /proc/pci    "find modem", look at /etc/sysconfig/hwconfig for hints

  run:

   setserial /dev/ttyS0 uart 16650A port <io-addr> irq <irq#>

   ln  /dev/modem /dev/ttyS0

  run minicom to test

Comment 1 Michael K. Johnson 1999-11-22 18:29:59 UTC
The Linux kernel, by default, only scans the first 4 serial ports.
To scan more, you have to use the setserial program, as you show
in this report.

rp3 only defaults to ttyS0 if it can't find a modem on the first
4 ports and whatever /dev/modem points to.

Comment 2 jd 1999-11-22 19:18:59 UTC
I still think it is a  bug. I figured it out cause I'm
 already a unix hack. A novice user would have never
 found it. If we want to kick MS ass with linux, we
 can't ignore these annoying problems with "it's not
 a problem " attitude !

 BTW - winshit 98 found it !


Note You need to log in before you can comment on or make changes to this bug.